org.apache.solr.core

## Enum SolrConfig.PluginOpts

- java.lang.Object
- - java.lang.Enum<SolrConfig.PluginOpts>
  - - org.apache.solr.core.SolrConfig.PluginOpts

- All Implemented Interfaces:
    Serializable, Comparable<SolrConfig.PluginOpts>
  Enclosing class:
    SolrConfig

      public static enum SolrConfig.PluginOpts
      extends Enum<SolrConfig.PluginOpts>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAZY`
    `MULTI_OK`
    `NOOP`
    `REQUIRE_CLASS`
    `REQUIRE_NAME`
    `REQUIRE_NAME_IN_OVERLAY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrConfig.PluginOpts` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrConfig.PluginOpts[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MULTI_OK

          public static final SolrConfig.PluginOpts MULTI_OK

    - #### REQUIRE_NAME

          public static final SolrConfig.PluginOpts REQUIRE_NAME

    - #### REQUIRE_NAME_IN_OVERLAY

          public static final SolrConfig.PluginOpts REQUIRE_NAME_IN_OVERLAY

    - #### REQUIRE_CLASS

          public static final SolrConfig.PluginOpts REQUIRE_CLASS

    - #### LAZY

          public static final SolrConfig.PluginOpts LAZY

    - #### NOOP

          public static final SolrConfig.PluginOpts NOOP

  - ### Method Detail

    - #### values

          public static SolrConfig.PluginOpts[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrConfig.PluginOpts c : SolrConfig.PluginOpts.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrConfig.PluginOpts valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.